OTPme - Feature #67

Feature # 46 (In Bearbeitung): add ssh-token support for authentication with OTPme daemons

Implement deployment of SSH public keys
18 December 2015 22:20 - The 2nd

Status: In Bearbeitung Start date: 18 December 2015
Priority: Normal Due date:

Assignee: The 2nd % Done: 80%

Category: Estimated time: 0:00 hour

Target version: OTPme 0.3

Description

e OTPme hostd/noded should deploy SSH public keys of tokens assigend to their host
¢ We may use openssh's AuthorizedKeysCommand for this

History

#1 - 02 April 2016 01:52 - The 2nd
- Status changed from Neu to In Bearbeitung

- % Done changed from 0 to 80
#2 - 09 April 2016 17:27 - The 2nd
This feature is implemented now as follows:

e SSH tokens can be assigned to roles, accessgroups, nodes, hosts and groups
Key options (e.g. command) can be configured when assigning a token

OTPme can be configured to require a valid signature (e.g. from an admin) for each SSH key

13 December 2025

Each node/host requests the list with assigned SSH keys in an configurable interval from the master node

Policies like "autodisable” and "logintimes" are honored on client side to make them work without connection to the master node
